Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.intel.cosbench.driver.operator
Class Disposer

    java.lang.Object
      com.intel.cosbench.driver.operator.Disposer

All Implemented Interfaces:
  Operator, MapRegistry.Item

    public class Disposer

extends java.lang.Object

This class encapsulates operations to delete containers, essentially, it maps to primitive DELETE operation.

Author:
  ywang19

Field Summary
`static java.lang.String` | `OP_TYPE`

Constructor Summary
`Disposer()`

Method Summary
`static void` | `doDispose(java.lang.String conName, Config config, Session session)`
`java.lang.String` | `getName()`
`java.lang.String` | `getOpType()`
`java.lang.String` | `getSampleType()`
`void` | `operate(Session session)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OP_TYPE

    public static final java.lang.String OP_TYPE

See Also:
  Constant Field Values

Constructor Detail

### Disposer

    public Disposer()

Method Detail

### getOpType

    public java.lang.String getOpType()

  Specified by:
    `getOpType` in interface `Operator`

### getSampleType

    public java.lang.String getSampleType()

  Specified by:
    `getSampleType` in interface `Operator`

### doDispose

    public static void doDispose(java.lang.String conName,
                                 Config config,
                                 Session session)

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `MapRegistry.Item`

### operate

    public void operate(Session session)

  Specified by:
    `operate` in interface `Operator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD